整合SSM框架—mybatis和mybatis-spring包版本不匹配問題


今天無聊,想整合spring+springMVc+mybatis玩一下,點開了http://search.maven.org/#search%7Cga%7C1%7Cmybatis,找到了spring、springMVc和mybatis的依賴,開心哈哈,貼進去我的項目,然后寫個測試,試一下水。

error!


尷尬,盡管我已經做好了失敗的准備但是看見error都會不開心。錯誤代碼:

java.lang.AbstractMethodError: org.mybatis.spring.transaction.SpringManagedTransaction.getTimeout()
,這是什么鬼?然后我去尋找解決方案,很快就找到了助攻 http://blog.csdn.net/AirMario/article/details/53446228,原來是我的spring-mybatis(3.4.1)版本和mybatis(1.1.1)沖突,然后我更改了自己的版本,我比較喜歡用高版本,雖然高版本一般大家都說不穩定,不好用,我用的是3.4.1和1.3.1的版本,成功解決這個版本沖突問題!


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
粤ICP备14056181号  © 2014-2021 ITdaan.com